<!doctype html>
<html lang="es">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Sizes</title>

    <!-- CSS de bootstrap -->
    <link rel="stylesheet" href="css/bootstrap.min.css" rel="stylesheet">
    
  </head>
  <body>
    <style>
      .col{
        background: #8ab8fc;
        border: 1px solid black;
      }
    </style>

    <div class="container">
        <div class="row">
          <div class="col">Columna 1</div>
          <div class="col">Columna 2</div>
          <div class="col">Columna 3</div>
        </div>

        <div class="row">
          <div class="row">
            <!-- cuando es menor a 576px toma los 12 espacios(celular) y cuando es mayos a 576px toma 8,4 y 12 espacios
             y cuando es igual o mayos a 768px toma 4,4 y 4 espacios-->
            <div class="col-12 col-sm-8 col-md-4">Columna 1</div>
            <div class="col-12 col-sm-4 col-md-4">Columna 2</div>
            <div class="col-12 col-sm-12 col-md-4"> Columna 3</div>
          </div>
        </div>

        <div class="row">
          <div class="col-md">Columna automatica mediana</div>
          <div class="col-md">Columna automatica mediana</div>
        </div>
    </div>

    <!-- Jquery 3.6 -->
    <script src="js/jquery.js"></script>
    <!-- Production version -->
    <script src="https://unpkg.com/@popperjs/core@2"></script>
    <!-- JS de bootstrap -->
    <script src="js/bootstrap.min.js"></script>
  
  </body>
</html>